@rem MAKEDISK.BAT for Toshiba Access Panel 1.21
@rem by Clark Christensen
@rem 01-16-1997

@echo off
cls
echo.
echo.
echo.
echo MakeDisk for  Toshiba Access Panel 1.21 requires 4 formatted
echo 1.44MB high density diskettes.  Would you like to continue?
askit
if errorlevel = 1 goto end


rem +++++++ check for the existence of all of the images +++++++++
if exist TAP121D1.PRG goto check2
cls
echo.
echo.
echo.
echo MakeDisk cannot find file TAP121D1.PRG
echo Extract downloaded archive into its own directory and run
echo MakeDisk again
goto end

:check2
if exist TAP121D2.PRG goto check3
cls
echo.
echo.
echo.
echo MakeDisk cannot find file TAP121D2.PRG
echo Extract downloaded archive into its own directory and run
echo MakeDisk again
goto end

:check3
if exist TAP121D3.PRG goto check4
cls
echo.
echo.
echo.
echo MakeDisk cannot find file TAP121D3.PRG
echo Extract downloaded archive into its own directory and run
echo MakeDisk again
goto end


:check4
if exist TAP121D4.PRG goto start
cls
echo.
echo.
echo.
echo MakeDisk cannot find file TAP121D4.PRG
echo Extract downloaded archive into its own directory and run
echo MakeDisk again
goto end


:start
ren TAP121D1.prg TAP121D1.EXE
ren TAP121D2.prg TAP121D2.EXE
ren TAP121D3.prg TAP121D3.EXE
ren TAP121D4.prg TAP121D4.EXE

@rem ++++++++++++ Check for partial session +++++++++++++++++
if "%toshmark%"=="" goto disk1
if "%toshmark%"=="disk2" goto resume
if "%toshmark%"=="disk3" goto resume
if "%toshmark%"=="disk4" goto resume


@rem ++++++++++++ Make Diskettes ++++++++++++++++++++++++++++
:disk1
echo.
echo.
echo.
echo Insert Diskette 1 into drive A: and
pause
cls
set toshmark=disk1
echo.
echo.
echo.
TAP121D1 a:
if errorlevel 15 goto fail
if errorlevel 14 goto wp
if errorlevel 13 goto fail
if errorlevel 1 goto fail
cls
echo.
echo.
echo.
echo Disk 1 Complete

:disk2
echo.
echo.
echo.
echo Insert Diskette 2 into drive A: and
pause
cls
set toshmark=disk2
echo.
echo.
echo.
TAP121D2 a:
if errorlevel 15 goto fail
if errorlevel 14 goto wp
if errorlevel 13 goto fail
if errorlevel 1 goto fail
cls
echo.
echo.
echo.
echo Disk 2 Complete

:disk3
echo.
echo.
echo.
echo Insert Diskette 3 into drive A: and
pause
cls
set toshmark=disk3
echo.
echo.
echo.
TAP121D3 a:
if errorlevel 15 goto fail
if errorlevel 14 goto wp
if errorlevel 13 goto fail
if errorlevel 1 goto fail
cls
echo.
echo.
echo.
echo Disk 3 Complete


:disk4
echo.
echo.
echo.
echo Insert Diskette 4 into drive A: and
pause
cls
set toshmark=disk4
echo.
echo.
echo.
TAP121D4 a:
if errorlevel 15 goto fail
if errorlevel 14 goto wp
if errorlevel 13 goto fail
if errorlevel 1 goto fail
cls
echo.
echo.
echo.
echo Disk 4 Complete


@rem +++++++++++++++++++++++ Cleanup and Finish +++++++++++++++++
ren TAP121D1.exe TAP121D1.prg
ren TAP121D2.exe TAP121D2.prg
ren TAP121D3.exe TAP121D3.prg
ren TAP121D4.exe TAP121D4.prg
goto finish


@rem ++++++++++++++++ Error handling & housekeeping +++++++++++++
:wp
cls
echo.
echo.
echo.
echo MakeDisk has detected that the diskette is write protected
echo Please switch diskettes, or remove write protection
echo Press Ctrl-C (Hold down the control key and press the letter "C") to quit or 
pause
cls
goto %toshmark%


:resume
cls
echo.
echo.
echo.
echo MakeDisk has detected an unfinished session.
echo Would you like to start over with the first diskette?
askit
if not errorlevel = 1 goto disk1
cls
goto %toshmark%

:fail
ren TAP121D1.exe TAP121D1.prg
ren TAP121D2.exe TAP121D2.prg
ren TAP121D3.exe TAP121D3.prg
ren TAP121D4.exe TAP121D4.prg
cls
echo.
echo.
echo.
echo MakeDisk operation failed
pause
goto end

:finish
cls
echo.
echo.
echo.
echo MakeDisk completed successfully
echo.
echo.
set toshmark=

:end
pause
cls
